> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update App Entitlements

> Replace the full set of requestable entitlements in a catalog with the provided list.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/catalogs/{catalog_id}/requestable_entitlements/update
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{catalog_id}/requestable_entitlements/update:
    post:
      tags:
        - Request Catalog
      summary: Update App Entitlements
      description: >-
        Replace the full set of requestable entitlements in a catalog with the
        provided list.
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.UpdateAppEntitlements
      parameters:
        - in: path
          name: catalog_id
          required: true
          schema:
            description: >-
              The Id of the request catalog to get app entitlement to. This is a
              URL value.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceUpdateAppEntitlementsRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceUpdateAppEntitlementsResponse
          description: >-
            The RequestCatalogManagementServiceUpdateAppEntitlementsResponse
            object is is the response from UpdateAppEntitlements endpoint.
      x-codeSamples:
        - lang: go
          label: UpdateAppEntitlements
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.UpdateAppEntitlements(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceUpdateAppEntitlementsRequest{\n        CatalogID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestCatalogManagementServiceUpdateAppEntitlementsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.updateAppEntitlements({
                catalogId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceUpdateAppEntitlementsRequestInput:
      description: >-
        The RequestCatalogManagementServiceUpdateAppEntitlementsRequest object
        is used to update app entitlements to a request catalog id.
      properties:
        appEntitlements:
          description: The entitlement to get from the request catalog.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
      required:
        - appEntitlements
      title: Request Catalog Management Service Update App Entitlements Request
      type: object
      x-speakeasy-entity: Access_Profile_Requestable_Entries
      x-speakeasy-name-override: RequestCatalogManagementServiceUpdateAppEntitlementsRequest
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceUpdateAppEntitlementsResponse:
      description: >-
        The RequestCatalogManagementServiceUpdateAppEntitlementsResponse object
        is is the response from UpdateAppEntitlements endpoint.
      title: Request Catalog Management Service Update App Entitlements Response
      type: object
      x-speakeasy-name-override: RequestCatalogManagementServiceUpdateAppEntitlementsResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````